diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/install-helper.php ./wordpress-3.4/wp-admin/install-helper.php
*** ./wordpress-3.3.2/wp-admin/install-helper.php	2010-12-20 03:25:21.000000000 -0600
--- ./wordpress-3.4/wp-admin/install-helper.php	2012-02-16 18:02:42.000000000 -0600
***************
*** 10,18 ****
   * needing to use these functions a lot, you might experience time outs. If you
   * do, then it is advised to just write the SQL code yourself.
   *
-  * You can turn debugging on, by setting $debug to 1 after you include this
-  * file.
-  *
   * <code>
   * check_column('wp_links', 'link_description', 'mediumtext');
   * if (check_column($wpdb->comments, 'comment_author', 'tinytext'))
--- 10,15 ----
***************
*** 41,55 ****
  /** Load WordPress Bootstrap */
  require_once(dirname(dirname(__FILE__)).'/wp-load.php');
  
- /**
-  * Turn debugging on or off.
-  * @global bool|int $debug
-  * @name $debug
-  * @var bool|int
-  * @since 1.0.0
-  */
- $debug = 0;
- 
  if ( ! function_exists('maybe_create_table') ) :
  /**
   * Create database table, if it doesn't already exist.
--- 38,43 ----
***************
*** 90,96 ****
   * @package WordPress
   * @subpackage Plugin
   * @uses $wpdb
-  * @uses $debug
   *
   * @param string $table_name Database table name
   * @param string $column_name Table column name
--- 78,83 ----
***************
*** 98,106 ****
   * @return bool False on failure. True, if already exists or was successful.
   */
  function maybe_add_column($table_name, $column_name, $create_ddl) {
! 	global $wpdb, $debug;
  	foreach ($wpdb->get_col("DESC $table_name",0) as $column ) {
- 		if ($debug) echo("checking $column == $column_name<br />");
  
  		if ($column == $column_name) {
  			return true;
--- 85,92 ----
   * @return bool False on failure. True, if already exists or was successful.
   */
  function maybe_add_column($table_name, $column_name, $create_ddl) {
! 	global $wpdb;
  	foreach ($wpdb->get_col("DESC $table_name",0) as $column ) {
  
  		if ($column == $column_name) {
  			return true;
***************
*** 179,194 ****
   * @return bool True, if matches. False, if not matching.
   */
  function check_column($table_name, $col_name, $col_type, $is_null = null, $key = null, $default = null, $extra = null) {
! 	global $wpdb, $debug;
  	$diffs = 0;
  	$results = $wpdb->get_results("DESC $table_name");
  
  	foreach ($results as $row ) {
- 		if ($debug > 1) print_r($row);
  
  		if ($row->Field == $col_name) {
  			// got our column, check the params
- 			if ($debug) echo ("checking $row->Type against $col_type\n");
  			if (($col_type != null) && ($row->Type != $col_type)) {
  				++$diffs;
  			}
--- 165,178 ----
   * @return bool True, if matches. False, if not matching.
   */
  function check_column($table_name, $col_name, $col_type, $is_null = null, $key = null, $default = null, $extra = null) {
! 	global $wpdb;
  	$diffs = 0;
  	$results = $wpdb->get_results("DESC $table_name");
  
  	foreach ($results as $row ) {
  
  		if ($row->Field == $col_name) {
  			// got our column, check the params
  			if (($col_type != null) && ($row->Type != $col_type)) {
  				++$diffs;
  			}
***************
*** 205,211 ****
  				++$diffs;
  			}
  			if ($diffs > 0) {
- 				if ($debug) echo ("diffs = $diffs returning false\n");
  				return false;
  			}
  			return true;
--- 189,194 ----
***************
*** 213,217 ****
  	}
  	return false;
  }
- 
- ?>
\ No newline at end of file
--- 196,198 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/install.php ./wordpress-3.4/wp-admin/install.php
*** ./wordpress-3.3.2/wp-admin/install.php	2011-11-15 09:47:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/install.php	2012-05-03 11:41:59.000000000 -0500
***************
*** 10,22 ****
  if ( false ) {
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml" >
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title>Error: PHP is not running</title>
  </head>
  <body>
! 	<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  	<h2>Error: PHP is not running</h2>
  	<p>WordPress requires that your web server is running PHP. Your server does not have PHP installed, or PHP is turned off.</p>
  </body>
--- 10,22 ----
  if ( false ) {
  ?>
  <!DOCTYPE html>
! <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  	<title>Error: PHP is not running</title>
  </head>
  <body>
! 	<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  	<h2>Error: PHP is not running</h2>
  	<p>WordPress requires that your web server is running PHP. Your server does not have PHP installed, or PHP is turned off.</p>
  </body>
***************
*** 41,47 ****
  /** Load wpdb */
  require_once(dirname(dirname(__FILE__)) . '/wp-includes/wp-db.php');
  
! $step = isset( $_GET['step'] ) ? $_GET['step'] : 0;
  
  /**
   * Display install header.
--- 41,47 ----
  /** Load wpdb */
  require_once(dirname(dirname(__FILE__)) . '/wp-includes/wp-db.php');
  
! $step = isset( $_GET['step'] ) ? (int) $_GET['step'] : 0;
  
  /**
   * Display install header.
***************
*** 61,67 ****
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
  <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
  
  <?php
  } // end display_header()
--- 61,67 ----
  	<?php wp_admin_css( 'install', true ); ?>
  </head>
  <body<?php if ( is_rtl() ) echo ' class="rtl"'; ?>>
! <h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png?ver=20120216" /></h1>
  
  <?php
  } // end display_header()
***************
*** 131,137 ****
  		</tr>
  		<tr>
  			<th scope="row"><label for="blog_public"><?php _e( 'Privacy' ); ?></label></th>
! 			<td colspan="2"><label><input type="checkbox" name="blog_public" value="1" <?php checked( $blog_public ); ?> /> <?php _e( 'Allow my site to appear in search engines like Google and Technorati.' ); ?></label></td>
  		</tr>
  	</table>
  	<p class="step"><input type="submit" name="Submit" value="<?php esc_attr_e( 'Install WordPress' ); ?>" class="button" /></p>
--- 131,137 ----
  		</tr>
  		<tr>
  			<th scope="row"><label for="blog_public"><?php _e( 'Privacy' ); ?></label></th>
! 			<td colspan="2"><label><input type="checkbox" name="blog_public" value="1" <?php checked( $blog_public ); ?> /> <?php _e( 'Allow search engines to index this site.' ); ?></label></td>
  		</tr>
  	</table>
  	<p class="step"><input type="submit" name="Submit" value="<?php esc_attr_e( 'Install WordPress' ); ?>" class="button" /></p>
***************
*** 151,165 ****
  $mysql_compat   = version_compare( $mysql_version, $required_mysql_version, '>=' ) || file_exists( WP_CONTENT_DIR . '/db.php' );
  
  if ( !$mysql_compat && !$php_compat )
! 	$compat = sprintf( __('You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version );
  elseif ( !$php_compat )
! 	$compat = sprintf( __('You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version, $php_version );
  elseif ( !$mysql_compat )
! 	$compat = sprintf( __('You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires MySQL version %2$s or higher. You are running version %3$s.'), $wp_version, $required_mysql_version, $mysql_version );
  
  if ( !$mysql_compat || !$php_compat ) {
  	display_header();
! 	die('<h1>' . __('Insufficient Requirements') . '</h1><p>' . $compat . '</p></body></html>');
  }
  
  switch($step) {
--- 151,170 ----
  $mysql_compat   = version_compare( $mysql_version, $required_mysql_version, '>=' ) || file_exists( WP_CONTENT_DIR . '/db.php' );
  
  if ( !$mysql_compat && !$php_compat )
! 	$compat = sprintf( __( 'You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher and MySQL version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.' ), $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version );
  elseif ( !$php_compat )
! 	$compat = sprintf( __( 'You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires PHP version %2$s or higher. You are running version %3$s.' ), $wp_version, $required_php_version, $php_version );
  elseif ( !$mysql_compat )
! 	$compat = sprintf( __( 'You cannot install because <a href="http://codex.wordpress.org/Version_%1$s">WordPress %1$s</a> requires MySQL version %2$s or higher. You are running version %3$s.' ), $wp_version, $required_mysql_version, $mysql_version );
  
  if ( !$mysql_compat || !$php_compat ) {
  	display_header();
! 	die( '<h1>' . __( 'Insufficient Requirements' ) . '</h1><p>' . $compat . '</p></body></html>' );
! }
! 
! if ( ! is_string( $wpdb->base_prefix ) || '' === $wpdb->base_prefix ) {
! 	display_header();
! 	die( '<h1>' . __( 'Configuration Error' ) . '</h1><p>' . __( 'Your <code>wp-config.php</code> file has an empty database table prefix, which is not supported.' ) . '</p></body></html>' );
  }
  
  switch($step) {
***************
*** 167,173 ****
  	case 1: // Step 1, direct link.
  	  display_header();
  ?>
! <h1><?php _e( 'Welcome' ); ?></h1>
  <p><?php printf( __( 'Welcome to the famous five minute WordPress installation process! You may want to browse the <a href="%s">ReadMe documentation</a> at your leisure. Otherwise, just fill in the information below and you&#8217;ll be on your way to using the most extendable and powerful personal publishing platform in the world.' ), '../readme.html' ); ?></p>
  
  <h1><?php _e( 'Information needed' ); ?></h1>
--- 172,178 ----
  	case 1: // Step 1, direct link.
  	  display_header();
  ?>
! <h1><?php _ex( 'Welcome', 'Howdy' ); ?></h1>
  <p><?php printf( __( 'Welcome to the famous five minute WordPress installation process! You may want to browse the <a href="%s">ReadMe documentation</a> at your leisure. Otherwise, just fill in the information below and you&#8217;ll be on your way to using the most extendable and powerful personal publishing platform in the world.' ), '../readme.html' ); ?></p>
  
  <h1><?php _e( 'Information needed' ); ?></h1>
***************
*** 207,213 ****
  			$error = true;
  		} elseif ( ! is_email( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'that isn&#8217;t a valid e-mail address.  E-mail addresses look like: <code>username@example.com</code>' ) );
  			$error = true;
  		}
  
--- 212,218 ----
  			$error = true;
  		} elseif ( ! is_email( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'that isn&#8217;t a valid e-mail address. E-mail addresses look like: <code>username@example.com</code>' ) );
  			$error = true;
  		}
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/common.dev.js ./wordpress-3.4/wp-admin/js/common.dev.js
*** ./wordpress-3.3.2/wp-admin/js/common.dev.js	2012-01-02 15:51:35.000000000 -0600
--- ./wordpress-3.4/wp-admin/js/common.dev.js	2012-06-12 11:36:32.000000000 -0500
***************
*** 1,4 ****
! var showNotice, adminMenu, columns, validateForm, screenMeta, autofold_menu;
  (function($){
  // Removed in 3.3.
  // (perhaps) needed for back-compat
--- 1,4 ----
! var showNotice, adminMenu, columns, validateForm, screenMeta;
  (function($){
  // Removed in 3.3.
  // (perhaps) needed for back-compat
***************
*** 160,166 ****
  
  $(document).ready( function() {
  	var lastClicked = false, checks, first, last, checked, menu = $('#adminmenu'),
! 		pageInput = $('input.current-page'), currentPage = pageInput.val(), folded, refresh;
  
  	// admin menu
  	refresh = function(i, el){ // force the browser to refresh the tabbing index
--- 160,166 ----
  
  $(document).ready( function() {
  	var lastClicked = false, checks, first, last, checked, menu = $('#adminmenu'),
! 		pageInput = $('input.current-page'), currentPage = pageInput.val(), refresh;
  
  	// admin menu
  	refresh = function(i, el){ // force the browser to refresh the tabbing index
***************
*** 172,177 ****
--- 172,180 ----
  	$('#collapse-menu', menu).click(function(){
  		var body = $(document.body);
  
+ 		// reset any compensation for submenus near the bottom of the screen
+ 		$('#adminmenu div.wp-submenu').css('margin-top', '');
+ 
  		if ( body.hasClass('folded') ) {
  			body.removeClass('folded');
  			setUserSetting('mfold', 'o');
***************
*** 186,192 ****
  		over: function(e){
  			var b, h, o, f, m = $(this).find('.wp-submenu'), menutop, wintop, maxtop;
  
! 			if ( !$(document.body).hasClass('folded') && $(this).hasClass('wp-menu-open') )
  				return;
  
  			menutop = $(this).offset().top;
--- 189,195 ----
  		over: function(e){
  			var b, h, o, f, m = $(this).find('.wp-submenu'), menutop, wintop, maxtop;
  
! 			if ( m.is(':visible') )
  				return;
  
  			menutop = $(this).offset().top;
***************
*** 205,213 ****
  				o = maxtop;
  
  			if ( o > 1 )
! 				m.css({'marginTop':'-'+o+'px'});
! 			else if ( m.css('marginTop') )
! 				m.css({'marginTop':''});
  
  			menu.find('.wp-submenu').removeClass('sub-open');
  			m.addClass('sub-open');
--- 208,216 ----
  				o = maxtop;
  
  			if ( o > 1 )
! 				m.css('margin-top', '-'+o+'px');
! 			else
! 				m.css('margin-top', '');
  
  			menu.find('.wp-submenu').removeClass('sub-open');
  			m.addClass('sub-open');
***************
*** 317,323 ****
  		var el = e.target, selStart = el.selectionStart, selEnd = el.selectionEnd, val = el.value, scroll, sel;
  
  		try {
! 			this.lastKey = 9; // not a standard DOM property, lastKey is to help stop Opera tab event.  See blur handler below.
  		} catch(err) {}
  
  		if ( document.selection ) {
--- 320,326 ----
  		var el = e.target, selStart = el.selectionStart, selEnd = el.selectionEnd, val = el.value, scroll, sel;
  
  		try {
! 			this.lastKey = 9; // not a standard DOM property, lastKey is to help stop Opera tab event. See blur handler below.
  		} catch(err) {}
  
  		if ( document.selection ) {
***************
*** 351,378 ****
  		});
  	}
  
- 	// auto-fold the menu when screen is under 800px
- 	$(window).bind('resize.autofold', function(){
- 		if ( getUserSetting('mfold') == 'f' )
- 			return;
- 
- 		var width = $(window).width();
- 
- 		// fold admin menu
- 		if ( width <= 800 ) {
- 			if ( !folded ) {
- 				$(document.body).addClass('folded');
- 				folded = true;
- 			}
- 		} else {
- 			if ( folded ) {
- 				$(document.body).removeClass('folded');
- 				folded = false;
- 			}
- 		}
- 
- 	}).triggerHandler('resize');
- 
  });
  
  // internal use
--- 354,359 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/js/custom-background.dev.js ./wordpress-3.4/wp-admin/js/custom-background.dev.js
*** ./wordpress-3.3.2/wp-admin/js/custom-background.dev.js	2011-05-11 22:31:01.000000000 -0500
--- ./wordpress-3.4/wp-admin/js/custom-background.dev.js	2012-06-05 13:57:49.000000000 -0500
***************
*** 1,55 ****
! var farbtastic;
  
! function pickColor(color) {
! 	farbtastic.setColor(color);
! 	jQuery('#background-color').val(color);
! 	jQuery('#custom-background-image').css('background-color', color);
! 	if ( color && color !== '#' )
! 		jQuery('#clearcolor').show();
! 	else
! 		jQuery('#clearcolor').hide();
! }
! 
! jQuery(document).ready(function() {
! 	jQuery('#pickcolor').click(function() {
! 		jQuery('#colorPickerDiv').show();
! 		return false;
! 	});
  
! 	jQuery('#clearcolor a').click( function(e) {
! 		pickColor('');
! 		e.preventDefault();
! 	});
  
! 	jQuery('#background-color').keyup(function() {
! 		var _hex = jQuery('#background-color').val(), hex = _hex;
! 		if ( hex.charAt(0) != '#' )
! 			hex = '#' + hex;
! 		hex = hex.replace(/[^#a-fA-F0-9]+/, '');
! 		if ( hex != _hex )
! 			jQuery('#background-color').val(hex);
! 		if ( hex.length == 4 || hex.length == 7 )
! 			pickColor( hex );
! 	});
  
! 	jQuery('input[name="background-position-x"]').change(function() {
! 		jQuery('#custom-background-image').css('background-position', jQuery(this).val() + ' top');
! 	});
  
! 	jQuery('input[name="background-repeat"]').change(function() {
! 		jQuery('#custom-background-image').css('background-repeat', jQuery(this).val());
! 	});
  
! 	farbtastic = jQuery.farbtastic('#colorPickerDiv', function(color) {
! 		pickColor(color);
! 	});
! 	pickColor(jQuery('#background-color').val());
  
! 	jQuery(document).mousedown(function(){
! 		jQuery('#colorPickerDiv').each(function(){
! 			var display = jQuery(this).css('display');
! 			if ( display == 'block' )
! 				jQuery(this).fadeOut(2);
  		});
  	});
! });
--- 1,66 ----
! var farbtastic, pickColor;
  
! (function($) {
  
! 	var defaultColor = '';
  
! 	pickColor = function(color) {
! 		farbtastic.setColor(color);
! 		$('#background-color').val(color);
! 		$('#custom-background-image').css('background-color', color);
! 		// If we have a default color, and they match, then we need to hide the 'Default' link.
! 		// Otherwise, we hide the 'Clear' link when it is empty.
! 		if ( ( defaultColor && color === defaultColor ) || ( ! defaultColor && ( '' === color || '#' === color ) ) )
! 			$('#clearcolor').hide();
! 		else
! 			$('#clearcolor').show();
! 	}
! 
! 	$(document).ready(function() {
! 
! 		defaultColor = $('#defaultcolor').val();
! 
! 		$('#pickcolor').click(function() {
! 			$('#colorPickerDiv').show();
! 			return false;
! 		});
  
! 		$('#clearcolor a').click( function(e) {
! 			pickColor( defaultColor );
! 			e.preventDefault();
! 		});
  
! 		$('#background-color').keyup(function() {
! 			var _hex = $('#background-color').val(), hex = _hex;
! 			if ( hex.charAt(0) != '#' )
! 				hex = '#' + hex;
! 			hex = hex.replace(/[^#a-fA-F0-9]+/, '');
! 			if ( hex != _hex )
! 				$('#background-color').val(hex);
! 			if ( hex.length == 4 || hex.length == 7 )
! 				pickColor( hex );
! 		});
  
! 		$('input[name="background-position-x"]').change(function() {
! 			$('#custom-background-image').css('background-position', $(this).val() + ' top');
! 		});
! 
! 		$('input[name="background-repeat"]').change(function() {
! 			$('#custom-background-image').css('background-repeat', $(this).val());
! 		});
  
! 		farbtastic = $.farbtastic('#colorPickerDiv', function(color) {
! 			pickColor(color);
! 		});
! 		pickColor($('#background-color').val());
! 
! 		$(document).mousedown(function(){
! 			$('#colorPickerDiv').each(function(){
! 				var display = $(this).css('display');
! 				if ( display == 'block' )
! 					$(this).fadeOut(2);
! 			});
  		});
  	});
! 
! })(jQuery);
\ No newline at end of file
